com.amazon.redshift.util

## Class RedshiftPropertyMaxResultBufferParser

- java.lang.Object
- - com.amazon.redshift.util.RedshiftPropertyMaxResultBufferParser

    public class RedshiftPropertyMaxResultBufferParser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RedshiftPropertyMaxResultBufferParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `parseProperty(String value)` Method to parse value of max result buffer size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftPropertyMaxResultBufferParser

    public RedshiftPropertyMaxResultBufferParser()

### Method Detail

#### parseProperty

    public static long parseProperty(String value)
                              throws RedshiftException

Method to parse value of max result buffer size.

Parameters:
  `value` - string containing size of bytes with optional multiplier (T, G, M or K) or percent value to declare max percent of heap memory to use.
Returns:
  value of max result buffer size.
Throws:
  `RedshiftException` - Exception when given value can't be parsed.